import QtQuick 2.0
import Ubuntu.Components 0.1

Item {
    width: parent.width
    height: grid.height+units.gu(4)

    Item {
        id: grid
        width: units.gu(9)*4 + units.gu(2)*3
        height: units.gu(6)*5 + units.gu(2)*4

        anchors{
            top: parent.top
            topMargin: units.gu(2)
            horizontalCenter: parent.horizontalCenter
        }

        KeyboardButton {
            x: 0
            y: 0
            text: "C"
            onClicked: {
                formulaView.addCurrentToMemory();
                clear();
            }
        }

        KeyboardButton {
            x: units.gu(11)
            y: 0
            text: "±"
            onClicked: {
                changeSign();
            }
        }

        KeyboardButton {
            x: units.gu(11)*2
            y: 0
            text: "÷"
            onClicked: formulaPush('÷', '/')
        }

        KeyboardButton {
            x: units.gu(11)*3
            y: 0
            text: "×"
            onClicked: formulaPush('×', '*')
        }

        KeyboardButton {
            x: 0
            y: units.gu(8)
            text: "7"
            onClicked: formulaPush('7', '7')
        }

        KeyboardButton {
            x: units.gu(11)
            y: units.gu(8)
            text: "8"
            onClicked: formulaPush('8', '8')
        }

        KeyboardButton {
            x: units.gu(11)*2
            y: units.gu(8)
            text: "9"
            onClicked: formulaPush('9', '9')
        }

        KeyboardButton {
            x: units.gu(11)*3
            y: units.gu(8)
            text: "−"
            onClicked: formulaPush('−', '-')
        }

        KeyboardButton {
            x: 0
            y: units.gu(8)*2
            text: "4"
            onClicked: formulaPush('4', '4')
        }

        KeyboardButton {
            x: units.gu(11)
            y: units.gu(8)*2
            text: "5"
            onClicked: formulaPush('5', '5')
        }

        KeyboardButton {
            x: units.gu(11)*2
            y: units.gu(8)*2
            text: "6"
            onClicked: formulaPush('6', '6')
        }

        KeyboardButton {
            x: units.gu(11)*3
            y: units.gu(8)*2
            text: "+"
            onClicked: formulaPush('+', '+')
        }

        KeyboardButton {
            x: 0
            y: units.gu(8)*3
            text: "1"
            onClicked: formulaPush('1', '1')
        }

        KeyboardButton {
            x: units.gu(11)
            y: units.gu(8)*3
            text: "2"
            onClicked: formulaPush('2', '2')
        }

        KeyboardButton {
            x: units.gu(11)*2
            y: units.gu(8)*3
            text: "3"
            onClicked: formulaPush('3', '3')
        }

        KeyboardButton {
            x: units.gu(11)*3
            y: units.gu(8)*3
            height: units.gu(14)
            text: "="
            onClicked: {
                calculate();
            }
        }

        KeyboardButton {
            x: 0
            y: units.gu(8)*4
            width: units.gu(20)
            text: "0"
            onClicked: formulaPush('0', '0')
        }

        KeyboardButton {
            x: units.gu(11)*2
            y: units.gu(8)*4
            text: "."
            onClicked: formulaPush('.', '.')
        }
    }
}
